
QGIS Application - Feature request #3498

Add a flag "Label only selected features"

2011-02-16 10:43 AM - Paolo Cavallini

Status: Open

Priority: Low

Assignee:

Category: Labelling

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13558

Description

It would be useful to add such a flag; currently this can be done with several workarounds, but all of them are rather ugly

History

#1 - 2011-02-17 03:26 AM - Paolo Cavallini

This only for new labeling system

#2 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-05-22 03:21 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Category changed from Symbology to Labelling

#5 - 2012-08-12 08:41 PM - Larry Shaffer

Have a look at:

commit:2fbc98e66f62a3c1324654a5957258ed29849f44

and

commit:3dd05e6842757a8e466375ac062aefb072b09d9c

While not the same as 'only selected,' possibly better than the previous workarounds.

#6 - 2012-08-24 02:54 AM - Regis Haubourg

I think 'label selected only' option is a great option, different from pin/unpin tools, since the last one requires advanced fields, and then possibility to modify

or duplicate dataset.. Users often can't do that. It remains a tools dedicated to heavy labeling for me. A fantastic one of course ;-)

The only thing is that there is no way to save selection in a QGS project, correct me if i'm wrong. "label only selected" tool without ability to save it sounds

quite useless to me, or at least dedicated to throwable work. 

 Implementing selection persistence in QGS can be really tricky. This is an unsolvable issue with Mapinfo, full of caveats..

I would rather spend efforts on refactoring labeling so that labels could be placed into layer order control dialog. That way, we could easyly generate masks

(plugin Mask for example) and put labels under it.. How does that sounds to you?
#7 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#9 - 2018-01-29 07:11 PM - Paolo Cavallini

Still unimplemented in QGIS3
